<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.member.mapper.MemberEntityCardMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.member.model.MemberEntityCard" >
    <id column="MEMBER_ENTITY_CARD_ID" property="memberEntityCardId" jdbcType="BIGINT" />
    <result column="CARD_NO" property="cardNo" jdbcType="VARCHAR" />
    <result column="CREATE_TIME" property="createTime" jdbcType="VARCHAR" />
    <result column="STATUS_ID" property="statusId" jdbcType="BIGINT" />
    <result column="CREATE_BY" property="createBy" jdbcType="VARCHAR" />
    <result column="ISSUE_ID" property="issueId" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    MEMBER_ENTITY_CARD_ID, CARD_NO, CREATE_TIME, STATUS_ID, CREATE_BY, ISSUE_ID
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from member_entity_card
    where MEMBER_ENTITY_CARD_ID = #{memberEntityCardId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from member_entity_card
    where MEMBER_ENTITY_CARD_ID = #{memberEntityCardId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.member.model.MemberEntityCard" >
    insert into member_entity_card (MEMBER_ENTITY_CARD_ID, CARD_NO, CREATE_TIME, 
      STATUS_ID, CREATE_BY, ISSUE_ID)
    values (#{memberEntityCardId,jdbcType=BIGINT}, #{cardNo,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, 
      #{statusId,jdbcType=BIGINT}, #{createBy,jdbcType=VARCHAR},#{issueId,jdbcType=BIGINT})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.member.model.MemberEntityCard" >
    insert into member_entity_card
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="memberEntityCardId != null" >
        MEMBER_ENTITY_CARD_ID,
      </if>
      <if test="cardNo != null" >
        CARD_NO,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="statusId != null" >
        STATUS_ID,
      </if>
      <if test="createBy != null" >
        CREATE_BY,
      </if>
      <if test="issueId != null" >
        ISSUE_ID,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="memberEntityCardId != null" >
        #{memberEntityCardId,jdbcType=BIGINT},
      </if>
      <if test="cardNo != null" >
        #{cardNo,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=TIMESTAMP},
      </if>
      <if test="statusId != null" >
        #{statusId,jdbcType=BIGINT},
      </if>
      <if test="createBy != null" >
        #{createBy,jdbcType=VARCHAR},
      </if>
      <if test="issueId != null" >
        #{issueId,jdbcType=BIGINT},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.member.model.MemberEntityCard" >
    update member_entity_card
    <set >
      <if test="cardNo != null" >
        CARD_NO = #{cardNo,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=VARCHAR},
      </if>
      <if test="statusId != null" >
        STATUS_ID = #{statusId,jdbcType=BIGINT},
      </if>
      <if test="createBy != null" >
        CREATE_BY = #{createBy,jdbcType=VARCHAR},
      </if>
      <if test="issueId != null" >
        ISSUE_ID = #{issueId,jdbcType=BIGINT},
      </if>
    </set>
    where MEMBER_ENTITY_CARD_ID = #{memberEntityCardId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.member.model.MemberEntityCard" >
    update member_entity_card
    set CARD_NO = #{cardNo,jdbcType=VARCHAR},
      CREATE_TIME = #{createTime,jdbcType=VARCHAR},
      STATUS_ID = #{statusId,jdbcType=BIGINT},
      CREATE_BY = #{createBy,jdbcType=VARCHAR},
      ISSUE_ID = #{issueId,jdbcType=VARCHAR} 
    where MEMBER_ENTITY_CARD_ID = #{memberEntityCardId,jdbcType=BIGINT}
  </update>
  
   <!-- 批量新增  -->
  <insert id="insertBatch" parameterType="java.util.List" >
    insert into member_entity_card (MEMBER_ENTITY_CARD_ID, CARD_NO, CREATE_TIME, 
      STATUS_ID, CREATE_BY,ISSUE_ID)
    values
      <foreach collection="list" item="item" index="index"  
        separator=",">
	      (#{item.memberEntityCardId,jdbcType=BIGINT}, #{item.cardNo,jdbcType=VARCHAR}, #{item.createTime,jdbcType=VARCHAR}, 
      #{item.statusId,jdbcType=BIGINT}, #{item.createBy,jdbcType=VARCHAR},#{item.issueId,jdbcType=BIGINT}
	      )
    </foreach>
  </insert>
  <select id="findCardByCardNo" resultMap="BaseResultMap">
    select 
    <include refid="Base_Column_List" />
    from member_entity_card
    where CARD_NO = #{cardNo,jdbcType=VARCHAR}
    and STATUS_ID = #{statusId,,jdbcType=BIGINT}
  </select>
   <select id="selectMemberCardByIssueId"  resultMap="BaseResultMap" parameterType="java.lang.Long">
  	select 
    <include refid="Base_Column_List" />
    from member_entity_card
    where ISSUE_ID = ${issueId}
  
  </select>
</mapper>